<?php

/**
 * @package     JohnCMS
 * @link        http://johncms.com
 * @copyright   Copyright (C) 2008-2011 JohnCMS Community
 * @license     LICENSE.txt (see attached file)
 * @version     VERSION.txt (see attached file)
 * @author      http://johncms.com/about
 */

define('_IN_JOHNCMS', 1);
/***********
 МаГазин для сайта
 Аффтар - ValekS
 http://john-help.ru
***********/
echo '<div class="phdr"><a href="/shop/">Магазин '.str_replace('http://', '',$set['homeurl']).'</a> | Смена ника</div>';
// Узнаём цену
$price = mysql_fetch_assoc(mysql_query("SELECT `price` FROM `shop` WHERE `id` = 2"));
$a = $price['price'];

if (isset($_POST['submit'])) {
    // Принимаем дынные
    $kod = isset($_POST['kod']) ? trim($_POST['kod']) : '';
    $name = isset($_POST['name']) ? functions::check(mb_substr($_POST['name'], 0, 15)) : $datauser['name'];
    $error = false;

    // Проверка кода CAPTCHA
    if (empty($kod) || mb_strlen($kod) < 4)
        $error = $error . 'Не введён проверочный код!<br />';
    elseif ($kod != $_SESSION['code'])
        $error = $error . 'Проверочный код неверен!<br />';
    unset($_SESSION['code']);

    if (empty($error)) {
        // Проверка монет
        if ($datauser['balans'] < $a) {
        $error = 'Недостаточно монет для смены Ника!<br/>';
        }

        // Проверка ника
        if (mb_strlen($name) < 2 || mb_strlen($name) > 15)
            $error = 'Недопустимая длина ника';
        $lat_nick = functions::rus_lat(mb_strtolower($name));
        if (preg_match("/[^0-9a-z\-\@\*\(\)\?\!\~\_\=\[\]]+/", $lat_nick))
            $error = 'Недопустимые символы в нике!';
    }

    // Заносим данные в Базу
    if (empty($error)) {
        mysql_query("UPDATE `users` SET `balans` = '" . ($datauser['balans'] - $a) . "', `name` = '" . mysql_real_escape_string($name) . "' WHERE `id` = '$user_id'");
        echo '<div class="gmenu">Ник изменён!';
        echo '<br/><a href="/shop/">В магазин</a>';
        echo '</div>';
    } else {
        echo '<div class="rmenu"><p><b>ОШИБКА!</b><br />' . $error . '</p></div>';
    }

} else {
    // Форма ввода
    echo '<div class="list2"><b>'.$login.'</b>, Сдесь ты можешь сменить себе ник.<br/><span style="color:red">ВАЖНО! Твой ник изменится по всему сайту!<br/>В текущих постах(на форуме, в гостевой) и комментариях ник останется без изменений.<br/>В постах и коментариях написанных после смены ника - будет Новый Ник.<br/><b>Авторизовываться на сайте нужно будет по нику, который вводился при регистрации!!!</b></span><br/>Стоимость: '.$a.' монет</div>';
    echo '<form action="/shop/index.php?act=nick" method="post"><div class="list1">';
    echo '<p><b>Ник:</b><br/><input type="text" name="name" maxlength="50" value="'.$datauser['name'].'" /><br/><small>Введите свой новый ник<br/>Минимальная длина: 2 символа; Максимальная длина: 15 символов</small></p></div>';
    echo '<div class="gmenu"><p><img src="/captcha.php?r=' . rand(1000, 9999) . '" alt="Проверочный код" border="1"/><br />';
    echo 'Код с картинки:<br/><input type="text" size="5" maxlength="5" name="kod"/></p></div>';
    echo '<div class="list2"><input type="submit" name="submit" value="Сменить"/></div></form>';
    }
?>